Loading...
Searching...
No Matches
casacore::MSTableImpl Class Reference
ms package (libcasa_ms) » MeasurementSets_module » MeasurementSets_module_internal_classes

More...

`#include <MSTableImpl.h>`

## Static Public Member Functions

static void | addColumnToDesc (TableDesc &td, const String &colName, Int colDType, const String &colComment, const String &colUnit, const String &colMeasure, Int ndim, const IPosition &shape, Int option, const String &refCol)
| add a column to a TableDesc An exception is thrown for an invalid data type.
static void | addKeyToDesc (TableDesc &td, const String &keyName, Int keyDType, const String &keyComment)
| add a keyword to a TableDesc An exception is thrown for an invalid data type.
static void | addMeasColumn (TableDesc &td, const String &colName, const String &colMeasure, const String &refCol)
| add a MeasureColumn for the specified Measure, with default reference
static void | addColumnCompression (TableDesc &, const String &colName, Bool autoScale, const String &type)
| Add the compress option for the given column to the TableDesc.
static SetupNewTable & | setupCompression (SetupNewTable &)
| Setup the compression data managers if needed.
static void | colMapDef (std::map< Int, String > &colMap, std::map< Int, Int > &colDTypeMap, std::map< Int, String > &colCommentMap, std::map< Int, String > &colUnitMap, std::map< Int, String > &colMeasureTypeMap, Int col, const String &colName, Int colType, const String &colComment, const String &colUnit, const String &colMeasureType)
| Define an entry in the column maps.
static void | keyMapDef (std::map< Int, String > &keyMap, std::map< Int, Int > &keyDTypeMap, std::map< Int, String > &keyCommentMap, Int key, const String &keyName, Int keyType, const String &keyComment)
| Define an entry in the keyword maps.
static Bool | validate (const TableDesc &tabDesc, const TableDesc &requiredTD)
| tableDesc convenience functions
static Bool | validate (const TableRecord &tabRec, const TableDesc &requiredTD)
| check that the keyword set is valid
static Table | referenceCopy (const Table &tab, const String &newTableName, const Block< String > &writableColumns)
| Return a table that references all columns in this table except for those given in writableColumns, those are empty and writable.
static MSTableMaps | initMaps (MSMainEnums *)
| Define the initialization function for each MS table type.
static MSTableMaps | initMaps (MSAntennaEnums *)
static MSTableMaps | initMaps (MSDataDescriptionEnums *)
static MSTableMaps | initMaps (MSDopplerEnums *)
static MSTableMaps | initMaps (MSFeedEnums *)
static MSTableMaps | initMaps (MSFieldEnums *)
static MSTableMaps | initMaps (MSFlagCmdEnums *)
static MSTableMaps | initMaps (MSFreqOffsetEnums *)
static MSTableMaps | initMaps (MSHistoryEnums *)
static MSTableMaps | initMaps (MSObservationEnums *)
static MSTableMaps | initMaps (MSPointingEnums *)
static MSTableMaps | initMaps (MSPolarizationEnums *)
static MSTableMaps | initMaps (MSProcessorEnums *)
static MSTableMaps | initMaps (MSSourceEnums *)
static MSTableMaps | initMaps (MSSpectralWindowEnums *)
static MSTableMaps | initMaps (MSStateEnums *)
static MSTableMaps | initMaps (MSSysCalEnums *)
static MSTableMaps | initMaps (MSWeatherEnums *)

## Detailed Description

An implementation class for the MeasurementSet to share code.

### Intended use:

Internal

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MeasurementSet

### Etymology

The MSTableImpl implements non-templated static functions shared by all MSTable objects.

### Synopsis

MSTableImpl is only for internal use by the MeasurementSet base class MSTable.

### Example

### Motivation

The reasons for existance for this class are: sharing of code between the various MeasurementSet Tables and avoiding duplicate code in the instantiations of MSTable

Definition at line 79 of file MSTableImpl.h.

## Member Function Documentation

## addColumnCompression()

void casacore::MSTableImpl::addColumnCompression | ( | TableDesc & | ,
|  | const String & | colName,
|  | Bool | autoScale,
|  | const String & | type )

static

Add the compress option for the given column to the TableDesc.

## addColumnToDesc()

void casacore::MSTableImpl::addColumnToDesc | ( | TableDesc & | td,
|  | const String & | colName,
|  | Int | colDType,
|  | const String & | colComment,
|  | const String & | colUnit,
|  | const String & | colMeasure,
|  | Int | ndim,
|  | const IPosition & | shape,
|  | Int | option,
|  | const String & | refCol )

static

add a column to a TableDesc An exception is thrown for an invalid data type.

This indicates a programming error in this class when this occurs. If option!=0 shape is used to set the shape of the column and option defines the type of column (ColumnDesc::Fixed/Direct). If option==0, shape is ignored and ndim is used to specify the array dimension if any. If refCol is not empty, a column with variable reference will be created, note that refCol should already exist in td.

### Thrown Exceptions

- AipsError

References casacore::ndim(), and casacore::shape().

## addKeyToDesc()

void casacore::MSTableImpl::addKeyToDesc | ( | TableDesc & | td,
|  | const String & | keyName,
|  | Int | keyDType,
|  | const String & | keyComment )

static

add a keyword to a TableDesc An exception is thrown for an invalid data type.

This indicates a missing data type in the code..

### Thrown Exceptions

- AipsError

## addMeasColumn()

void casacore::MSTableImpl::addMeasColumn | ( | TableDesc & | td,
|  | const String & | colName,
|  | const String & | colMeasure,
|  | const String & | refCol )

static

add a MeasureColumn for the specified Measure, with default reference

## colMapDef()

void casacore::MSTableImpl::colMapDef | ( | std::map< Int, String > & | colMap,
|  | std::map< Int, Int > & | colDTypeMap,
|  | std::map< Int, String > & | colCommentMap,
|  | std::map< Int, String > & | colUnitMap,
|  | std::map< Int, String > & | colMeasureTypeMap,
|  | Int | col,
|  | const String & | colName,
|  | Int | colType,
|  | const String & | colComment,
|  | const String & | colUnit,
|  | const String & | colMeasureType )

static

Define an entry in the column maps.

## initMaps() [1/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSAntennaEnums * |  | ) |

static

## initMaps() [2/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSDataDescriptionEnums * |  | ) |

static

## initMaps() [3/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSDopplerEnums * |  | ) |

static

## initMaps() [4/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSFeedEnums * |  | ) |

static

## initMaps() [5/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSFieldEnums * |  | ) |

static

## initMaps() [6/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSFlagCmdEnums * |  | ) |

static

## initMaps() [7/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSFreqOffsetEnums * |  | ) |

static

## initMaps() [8/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSHistoryEnums * |  | ) |

static

## initMaps() [9/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSMainEnums * |  | ) |

static

Define the initialization function for each MS table type.

## initMaps() [10/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSObservationEnums * |  | ) |

static

## initMaps() [11/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSPointingEnums * |  | ) |

static

## initMaps() [12/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSPolarizationEnums * |  | ) |

static

## initMaps() [13/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSProcessorEnums * |  | ) |

static

## initMaps() [14/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSSourceEnums * |  | ) |

static

## initMaps() [15/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSSpectralWindowEnums * |  | ) |

static

## initMaps() [16/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSStateEnums * |  | ) |

static

## initMaps() [17/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSSysCalEnums * |  | ) |

static

## initMaps() [18/18]

MSTableMaps casacore::MSTableImpl::initMaps | ( | MSWeatherEnums * |  | ) |

static

## keyMapDef()

void casacore::MSTableImpl::keyMapDef | ( | std::map< Int, String > & | keyMap,
|  | std::map< Int, Int > & | keyDTypeMap,
|  | std::map< Int, String > & | keyCommentMap,
|  | Int | key,
|  | const String & | keyName,
|  | Int | keyType,
|  | const String & | keyComment )

static

Define an entry in the keyword maps.

## referenceCopy()

Table casacore::MSTableImpl::referenceCopy | ( | const Table & | tab,
|  | const String & | newTableName,
|  | const Block< String > & | writableColumns )

static

Return a table that references all columns in this table except for those given in writableColumns, those are empty and writable.

## setupCompression()

SetupNewTable & casacore::MSTableImpl::setupCompression | ( | SetupNewTable & |  | ) |

static

Setup the compression data managers if needed.

## validate() [1/2]

Bool casacore::MSTableImpl::validate | ( | const TableDesc & | tabDesc,
|  | const TableDesc & | requiredTD )

static

tableDesc convenience functions

check that a TableDesc is valid

## validate() [2/2]

Bool casacore::MSTableImpl::validate | ( | const TableRecord & | tabRec,
|  | const TableDesc & | requiredTD )

static

check that the keyword set is valid

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSTableImpl.h